Skip to content
POST/{organizationId}/{mandateId}/booking/discountCodes/{discountCodeId}

Update discount code

Updates a specific discount code for a given mandate

Required permissions:

  • mandate.read

  • bookingDiscountCode.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
discountCodeIdstringrequired

Request Body required

Content-Type: application/json

codestringrequired

minLength: 1

maxLength: 32

appliesToServicesbooleanrequired
descriptionstringoptional

Default: ""

maxLength: 200

stockinteger | nulloptional

Default: null

maximum: 9007199254740991

exclusiveMinimum: 0

maxItems: 20

validFromdate-time | nulloptional
validTodate-time | nulloptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/discountCodes/{discountCodeId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/discountCodes/{discountCodeId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "code": "string",
  "priceModifier": {
    "value": 0,
    "type": "%"
  },
  "appliesToServices": true
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}